Imports System
Imports System.ComponentModel

Imports DevExpress.Xpo
Imports DevExpress.Data.Filtering

Imports DevExpress.ExpressApp
Imports DevExpress.Persistent.Base
Imports DevExpress.Persistent.BaseImpl
Imports DevExpress.Persistent.Validation

<DefaultClassOptions(), NavigationItem(False), CreatableItem(False)> _
Public Class InvoiceRowsPivotUser
    Inherits BaseObject
    Private _InvoiceRowsPivot As InvoiceRowsPivot
    Private _User As User
    Public Sub New(ByVal session As Session)
        MyBase.New(session)
        ' This constructor is used when an object is loaded from a persistent storage.
        ' Do not place any code here or place it only when the IsLoading property is false:
        ' if (!IsLoading){
        '   It is now OK to place your initialization code here.
        ' }
        ' or as an alternative, move your initialization code into the AfterConstruction method.
    End Sub
    Public Overrides Sub AfterConstruction()
        MyBase.AfterConstruction()
        ' Place here your initialization code.
    End Sub

    <Association("InvoiceRowsPivot-InvoiceRowsPivotUser", GetType(InvoiceRowsPivot))> _
    Property InvoiceRowsPivot As InvoiceRowsPivot
        Get
            Return _InvoiceRowsPivot
        End Get
        Set(value As InvoiceRowsPivot)
            SetPropertyValue("InvoiceRowsPivot", _InvoiceRowsPivot, value)
        End Set
    End Property
    Property User As User
        Get
            Return _User
        End Get
        Set(value As User)
            SetPropertyValue("User", _User, value)
        End Set
    End Property

End Class
